SDL_RectsEqualFloat(3)

NAME
SDL_RectsEqualFloat - Determine whether two floating point rectangles are equal, within a default epsilon.

HEADER FILE
Defined in SDL3/SDL_rect.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_FORCE_INLINE bool SDL_RectsEqualFloat(const SDL_FRect *a, const SDL_FRect *b);

DESCRIPTION
Rectangles are considered equal if both are not NULL and each of their x, y, width and height are within SDL_FLT_EPSILON
 of each other. This is often a reasonable way to compare two floating point rectangles and deal with the slight precision variations in floating point calculations that tend to pop up.

Note that this is a forced-inline function in a header, and not a public API function available in the SDL library (which is to say, the code is embedded in the calling program and the linker and dynamic loader will not be able to find this function inside SDL itself).

FUNCTION PARAMETERS

a   the first rectangle to test.

b   the second rectangle to test.

RETURN VALUE
Returns true if the rectangles are equal, false otherwise.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_RectsEqualEpsilon(3)